Last Comment Bug 666666 - Reflect HTMLMediaElement.preload like an enumerated attribute
: Reflect HTMLMediaElement.preload like an enumerated attribute
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla8
Assigned To: :Ms2ger (⌚ UTC+1/+2)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-23 11:17 PDT by :Ms2ger (⌚ UTC+1/+2)
Modified: 2012-09-06 21:31 PDT (History)
8 users (show)
Ms2ger: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (1.92 KB, patch)
2011-06-23 11:17 PDT, :Ms2ger (⌚ UTC+1/+2)
bzbarsky: review+
Details | Diff | Splinter Review

Description :Ms2ger (⌚ UTC+1/+2) 2011-06-23 11:17:25 PDT
Created attachment 541440 [details] [diff] [review]
Patch v1
Comment 1 Boris Zbarsky [:bz] 2011-06-23 11:46:57 PDT
Comment on attachment 541440 [details] [diff] [review]
Patch v1

r=me
Comment 2 Benoit Jacob [:bjacob] (mostly away) 2011-06-23 14:52:03 PDT
Yay 666666 !!!!!!
Comment 3 Mounir Lamouri (:mounir) 2011-06-23 15:01:00 PDT
Comment on attachment 541440 [details] [diff] [review]
Patch v1

Review of attachment 541440 [details] [diff] [review]:
-----------------------------------------------------------------

::: content/html/content/test/test_bug660663.html
@@ +29,5 @@
> +                         []);
> +reflectLimitedEnumerated(document.createElement("audio"),
> +                         "preload",
> +                         ["none", "metadata", "auto"],
> +                         []);

I think that would be a better idea to create a new file instead of adding these tests here. If you want to create a test suite for attribute reflection, splitting it by element would probably be better than doing that in the same file.

Not critical, though.
Comment 4 Mounir Lamouri (:mounir) 2011-06-23 15:01:27 PDT
Oh, and thank you very much for fixing that :)
Comment 5 :Ms2ger (⌚ UTC+1/+2) 2011-07-15 06:48:45 PDT
http://hg.mozilla.org/mozilla-central/rev/e00f235a80e4
Comment 6 Jean-Yves Perrier [:teoli] 2011-10-18 08:30:59 PDT
The https://developer.mozilla.org/en/DOM/HTMLMediaElement document is up-to-date regarding this change (I fixed a small typo and the type).

I added a sentence to Firefox 8 for developers, too.

Note You need to log in before you can comment on or make changes to this bug.